<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws" xmlns:soap="http://cxf.apache.org/bindings/soap"
	xmlns:service="http://weblab.ow2.org/core/1.2/services/" xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd">

	<import resource="classpath:META-INF/cxf/cxf.xml" />
	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

	<jaxws:endpoint id="analyserEndpoint" implementorClass="eu.axes.services.shotextractor.ShotExtractor" implementor="#analyser" address="/analyser" serviceName="service:ShotExtractorService" endpointName="ShotExtractorPort">
		<jaxws:properties>
			<entry key="exceptionMessageCauseEnabled" value="true" />
			<entry key="faultStackTraceEnabled" value="true" />
			<entry key="schema-validation-enabled" value="true" />
		</jaxws:properties>
		<jaxws:dataBinding>
			<bean class="org.apache.cxf.jaxb.JAXBDataBinding">
				<property name="namespaceMap">
					<map>
						<entry key="http://weblab.ow2.org/core/1.2/model#" value="wl" />
						<entry key="http://weblab.ow2.org/core/1.2/services/analyser" value="an" />
						<entry key="http://weblab.ow2.org/core/1.2/services/exception" value="ex" />
					</map>
				</property>
			</bean>
		</jaxws:dataBinding>
	</jaxws:endpoint>

	<bean id="analyser" class="eu.axes.services.shotextractor.ShotExtractor">
		<constructor-arg ref="conf" />
	</bean>

	<bean id="conf" name="conf" scope="prototype" class="eu.axes.services.shotextractor.ShotExtractorConfigBean">
		<property name="pathToShotDetector" value="#{systemProperties['TEC.binaries']}/shot_detector.sh" />
		<property name="pathToFrameExtractor" value="#{systemProperties['TEC.binaries']}/frame_extractor.sh" />
		<property name="pathToOutFolder" value="#{systemProperties['TEC.cache']}/shot_detector/" />
		<property name="preferredExtension">
			<list>
				<value>ts</value>
				<value>mpg</value>
				<value>mp4</value>
				<value>mpeg</value>
			</list>
		</property>
		<property name="serviceUri" value="http://axes-project.eu/dTechnicolor/sShotExtractor/1.2.2" />
		<property name="framesMimeType" value="image/jpeg" />
	</bean>

</beans>
